Loading...
Searching...
No Matches
etl::chrono::weekday_last Class Reference

weekday_last More...

`#include <weekday.h>`

## Public Member Functions

ETL_CONSTEXPR14 | weekday_last (const etl::chrono::weekday &wd_) ETL_NOEXCEPT
| Construct from unsigned.
ETL_CONSTEXPR14 | weekday_last (const etl::chrono::weekday_last &other) ETL_NOEXCEPT
| Copy constructor.
ETL_CONSTEXPR14 etl::chrono::weekday_last & | operator= (const etl::chrono::weekday_last &rhs) ETL_NOEXCEPT
| Assignment operator.
ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday | weekday () const ETL_NOEXCEPT
| Get weekday.
ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the weekday is valid.

## Detailed Description

weekday_last

The documentation for this class was generated from the following file:

- include/etl/private/chrono/weekday.h